package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.Item;
import com.caliverse.admin.domain.entity.RewardEvent;
import com.caliverse.admin.domain.entity.Message;
import com.caliverse.admin.domain.request.RewardEventRequest;

import java.util.List;
import java.util.Map;


public interface RewardEventMapper {

    List<RewardEvent> getEventList(Map map);
    int getAllCnt(Map map);
    int getTotal();
    RewardEvent getEventDetail(Long id);

    List<Message> getMessage(Long id);

    List<Item> getItem(Long id);
    int postEvent(RewardEventRequest mailRequest);

    void insertMessage(Map map);
    void insertItem(Map map);
    int updateEvent(RewardEventRequest mailRequest);

    int deleteMessage(Map map);

    int deleteItem(Map map);

    int deleteEvent(Map map);

    int updateStatusEvent(Map map);
    int updateAddFlag(Long id);

    List<RewardEvent> getScheduleEventList();
}
